//
//  The Pimp      The Pathetic Image Manipulation Program
//  Copyright (c) 2008 Sam Hocevar <sam@zoy.org>
//                All Rights Reserved
//
//  $Id$
//
//  This library is free software. It comes without any warranty, to
//  the extent permitted by applicable law. You can redistribute it
//  and/or modify it under the terms of the Do What The Fuck You Want
//  To Public License, Version 2, as published by Sam Hocevar. See
//  http://sam.zoy.org/wtfpl/COPYING for more details.
//

using System;

namespace ThePimp
{
    public partial class AboutWindow : Gtk.Window
    {
        public AboutWindow() : base(Gtk.WindowType.Toplevel)
        {
            this.Build();

            this.AppPaintable = true;
            Gdk.Pixbuf image = Gdk.Pixbuf.LoadFromResource("ThePimp.images.about.png");
            Gdk.Pixmap pixmap, pixmap_mask;
            image.RenderPixmapAndMask(out pixmap, out pixmap_mask, 255);
            this.GdkWindow.SetBackPixmap(pixmap, false);

            this.SetSizeRequest(image.Width, image.Height);
            this.Resizable = false;

            // FIXME: I have no idea how to enforce this in Stetic
            buttonClose.HasFocus = true;
        }

        protected virtual void OnButtonCloseClicked (object sender, System.EventArgs e)
        {
            this.Destroy();
        }

        protected virtual void OnButtonLinkClicked (object sender, System.EventArgs e)
        {
            System.Diagnostics.Process.Start("http://caca.zoy.org/wiki/thepimp");
        }
    }
}
